# BrightnessContrastShader

## Import

BrightnessContrastShader is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { BrightnessContrastShader } from 'three/addons/shaders/BrightnessContrastShader.js';
```

## Properties

### .BrightnessContrastShader : ShaderMaterial~Shader (inner, constant)

Brightness and contrast adjustment [https://github.com/evanw/glfx.js](https://github.com/evanw/glfx.js). Brightness: -1 to 1 (-1 is solid black, 0 is no change, and 1 is solid white) Contrast: -1 to 1 (-1 is solid gray, 0 is no change, and 1 is maximum contrast)

## Source

[examples/jsm/shaders/BrightnessContrastShader.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/shaders/BrightnessContrastShader.js)